Bug 55250 - Installer does not put "alias block-major-22 cdrom" in modules.conf
Summary: Installer does not put "alias block-major-22 cdrom" in modules.conf
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
(Show other bugs)
Version: 7.2
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Brent Fox
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-10-28 09:54 UTC by Tim Riley
Modified: 2007-04-18 16:37 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-11-08 21:16:45 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tim Riley 2001-10-28 09:54:34 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i586; en-US; rv:0.9.2.1) Gecko/20010901

Description of problem:
After installing 7.2 from scratch, the "alias block-major-22 cdrom" was not
present in /etc/modules.conf.  This renders it impossible to mount IDE CD-ROMS.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. mount /mnt/cdrom
2.
3.
	

Actual Results:  The mount command fails, producing this message: "mount:
/dev/cdrom is not a valid block device"


Expected Results:  The device should have mounted cleanly, and mount should not
produce an error  message.

Additional info:

Comment 1 Brent Fox 2001-10-28 15:16:17 UTC
Hmm.  My /etc/modules.conf file does not have this entry, yet I can mount cd's
fine.  What kind of cdrom drive is it?

Comment 2 Tim Riley 2001-10-29 06:31:22 UTC
The cdrom drive is a generic ATAPI IDE one.

Comment 3 Brent Fox 2001-10-29 13:32:24 UTC
Then there shouldn't be any problem.  Can you attach the output of 'ls -l
/dev/cdrom'?

Comment 4 Bill Nottingham 2001-10-29 19:33:44 UTC
Original reporter: try running 'depmod -ae'.

Comment 5 Tim Riley 2001-10-30 05:45:29 UTC
lrwxrwxrwx    1 root     root            8 Oct 27 12:40 /dev/cdrom -> /dev/hdb
brw-------    1 tr       disk       3,  64 Aug 31 06:00 /dev/hdb

('tr' is the username under which I normally work.  I have not explicitly
changed the permissions for hdb).

depmod -ae returns no unresolved symbols (I do now, however, have that extra
line in modules.conf.

I know of another person with a standard ATAPI CD-ROM drive, and he had that
same problem as I did.  It was solved by adding the "alias block-major-22 cdrom"
line to modules.conf.

Comment 6 jlewis 2001-10-30 17:40:20 UTC
I've got the same problem on a fresh 7.2 install.  My solution was the same,
just done slightly differently.
[add to /etc/modules.conf]
add above ide-cd cdrom

Now that I try it, removing the above from modules.conf and just running depmod
-ae does fix it.  Odd.

Comment 7 Brent Fox 2001-11-08 16:47:46 UTC
katzj, is this because we run depmod against the boot kernel, which is slightly
different from the full kernel?  Does upgrading to the errata kernel solve this
problem?

Comment 8 Jeremy Katz 2001-11-08 21:16:38 UTC
Yes, and yes, upgrading to the errata kernel should fix it as well (for the
newer kernel)

Comment 9 Brent Fox 2001-11-08 21:21:19 UTC
Ok, this issue should be resolved by applying the errat at
http://www.redhat.com/support/errata/RHSA-2001-129.html.  Please reopen this bug
if it doesn't fix the problem.


Note You need to log in before you can comment on or make changes to this bug.